<?php
include_once 'path.php';
if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

if(!empty($_POST['backupLocation'])) {
	if($_SESSION['dedup']) {
		$hostName = $_POST['backupLocation'];
		if($hostName != $_SESSION['nickName']) {
			unset($_SESSION['deviceList']);
			$arr = bucketOperation(NICKNAMEUPDATEOP, $hostName);
			if($arr[0] == true) {
				$hostName = $_SESSION['nickName'];
				file_put_contents($mpc, $hostName);
				$_SESSION['nickName'] = $hostName;
				if($hostName != '') {
					renameExpressNickNameOnBucketUpdate($hostName, '');
				}
				
				$dedupDetails = json_decode(file_get_contents($dedupDetailFile), TRUE);
				$dedupDetails['nick_name'] = $_SESSION['nickName'];
				file_put_contents($dedupDetailFile, json_encode($dedupDetails));
				
				getDedupDeviceList();
			}
		}
	} else { 		
		file_put_contents($mpc,phpRealEscapeString($_POST['backupLocation']));
	}
	@chmod($mpc, $permissionVal);
} else if(!empty($_POST['restoreLocation'])){
	file_put_contents($drlFile,phpRealEscapeString($_POST['restoreLocation']));
	@chmod($drlFile, $permissionVal);
} else if(!empty($_POST['localBackupLocation'])){	
	$dedupBucket = '';	
	if(isset($_POST['dedupBucket']) && $_POST['dedupBucket']){	
		$dedupBucket = $_POST['dedupBucket'];
	}		
	$path = json_encode(array('hostName'=>phpRealEscapeString($_POST['localBackupLocation']),'deviceID'=>$dedupBucket));
	file_put_contents($localMPCfile,$path);
	@chmod($localMPCfile, $permissionVal);
}


$jobName = isset($_POST['oldJobName'])?$_POST['oldJobName']:0;
$jobType = isset($_POST['jobTypeManualTask'])?ucfirst($_POST['jobTypeManualTask']):'';
$editedFiles = array();
$editedFilesType = array();
	
if($jobType!=''){	
	$jobNameDir = ($jobName=='0')?'+ManualTask':substr($jobName,(strlen($jobType)+1));
	$jobTypeDirPath = Scheduler::$user_dir."$jobType";
	$jobNameDirPath = "$jobTypeDirPath/$jobNameDir";
	
	if(!file_exists($jobTypeDirPath)){
		if(!mkdir($jobTypeDirPath, $permissionVal)){
			$resp[] = false;
			$resp[] = "Failed to create Directory $jobTypeDirPath : ".customErrorMsg();
			echo json_encode($resp); 
			exit;
		}
		@chmod($jobTypeDirPath, $permissionVal);
	}	
	
	if(!file_exists($jobNameDirPath)){
		if(!mkdir($jobNameDirPath, $permissionVal)){
			$resp[] = false;
			$resp[] = "Failed to create Directory $jobNameDirPath : ".customErrorMsg();
			echo json_encode($resp); 
			exit;
		}		
		@chmod($jobNameDirPath, $permissionVal);		
	}
	
	if(strpos($jobType, "Backup") !== false)
	  $displayFile = fopen("$jobNameDirPath/".BACKUPSETFILEDISPLAY, "w+");
	else
	  $displayFile = fopen("$jobNameDirPath/".RESTORESETFILEDISPLAY, "w+");

	if(isset($_POST['chk_group']) && count($_POST['chk_group'])>0){
		$itemType = $_POST['itemType'];
		$itemSize = $_POST['itemSize'];
		$itemLModf = $_POST['itemLModf'];
		
		$cnt =0;
		foreach($_POST['chk_group'] as $dirPath){
		if($job_type_val == false)
			{
				$itemLModfVal = $itemLModf[$cnt];
				
				if($itemLModfVal != "undefined")
				{
					$date =  strtotime($itemLModfVal);
					$itemLModfVal = date("D M j H:i:s Y",$date);
					
				}
			}	
			$dirPath = phpRealEscapeString($dirPath);
			fwrite($displayFile, $dirPath."\n".$itemType[$cnt]."\n".$itemSize[$cnt]."\n".$itemLModfVal."\n");
			
			$editedFiles[]     = $dirPath;	
			$editedFilesType[] = $itemType[$cnt];
			$editedFileSize[]     = $itemSize[$cnt];	
			$editedFilesMTime[] = $itemLModf[$cnt];
			$cnt++;
		}
	}
	fclose($displayFile);
	@chmod($displayFile, $permissionVal);	
}
$result = array('dir'=>$jobName,'files'=>$editedFiles,'type'=>$editedFilesType,'size'=>$editedFileSize,'modtime'=>$editedFilesMTime);
echo json_encode($result);

